#pragma once

#define MESSIAH_PATH_LENGTH 2048

typedef struct ConfigData_St
{
	char	messiahPath[MESSIAH_PATH_LENGTH];
	float	scaleFactor;
}ConfigData;


#ifdef __cplusplus
	extern "C" ConfigData * ReadConfig();
	extern "C" void		 WriteConfig();
	extern "C" ConfigData * GetConfigData();
	extern "C" int BrowseDir();
#else
	ConfigData * ReadConfig();
	void		 WriteConfig();
	ConfigData * GetConfigData();
	int BrowseDir();
#endif

