#ifndef MH_SystemWIN32_H
#define MH_SystemWIN32_H

#ifdef	__cplusplus
#ifdef	_WIN32

#include "MH_System.h"
#include <windows.h>

class MH_SystemWIN32 : public MH_System
{
public:
	MH_SystemWIN32(char const *hostAppName, char const *hostModuleName) 
		: MH_System(hostAppName, hostModuleName), _messiahlib(0) {}

protected:

	virtual bool		_loadMessiahHost	();
	virtual bool		_unloadMessiahHost	();

private:

	HINSTANCE		_messiahlib;

};

#endif	// _WIN32
#endif	// __cplusplus
#endif	// MH_System_H