#ifndef CONFIG_DATA_H
#define CONFIG_DATA_H

#define MESSIAH_PATH_LENGTH 2048

typedef struct ConfigData_St
{
	char	messiahPath[MESSIAH_PATH_LENGTH];
	float	scaleFactor;
}ConfigData;


#ifdef __cplusplus
extern "C" ConfigData * ReadConfig();
extern "C" void		 WriteConfig();
extern "C" ConfigData * GetConfigData();
#else
ConfigData * ReadConfig();
void		 WriteConfig();
ConfigData * GetConfigData();
#endif

#endif