#include "Diagnostic.h"

#ifdef MORON_DEBUG
#include <string>
#include <direct.h>

static std::string	buffer;

void	BeginDiagnostic()
{
	buffer += "messiahC4D diagnostic utility\n\n";
	buffer += "Begin diagnostic\n";
}

void	AppendDiagnostic(char const *string)
{
	buffer += string;
}

void	EndDiagnostic()
{
	char path[1024];

	_getcwd(path, 1024);
	strcat(path, "\\messiahC4D_diagnostic.txt");

	FILE *fp = fopen("c:\\messiahC4D_diagnostic.txt", "w");

	if(!fp) return;

	unsigned long checksum = 45;

	int i = 0;

	for(i = 0; i < buffer.size() -1; i++)
	{
		checksum += (int)buffer[i];
	}

	checksum ^= 0xffff;

	char tmp[64];
	sprintf(tmp, "%d", checksum);

	buffer += "ALOP ";
	buffer += tmp;
	buffer += "\n";

	buffer += "End diagnostic\n";

	fprintf(fp, "%s", buffer.c_str());

	fclose(fp);

}


#else

void	BeginDiagnostic() {}
void	AppendDiagnostic(char const *string) {}
void	EndDiagnostic() {}

#endif