#ifndef FINDFILE_H
#define FINDFILE_H

#include "FindData.h"
#include <string>

namespace Win
{

class FindFile
{
public:
	FindFile() : _handle(0), _data(0) {}
	void		Criteria	(char const *criteria) { _criteria = criteria; }
	
	FindData *	BeginSearch(char const *criteria);
	FindData *	BeginSearch ();
	FindData *	ContinueSearch ();
	void		EndSearch();

	// Call EndSearch() after use
	char const *	SimpleSearch (char const *criteria);

private:
	HANDLE			_handle;
	FindData *		_data;
	std::string		_criteria;
};
}

#endif