#include "Mutex.h"
#include "c4d_general.h"


bool Mutex::d_locked = false;

bool Mutex::lock()
{
	if( d_locked )
	{
		GePrint("Thread Already Locked");
		return false;
	}

	GePrint("Thread Locked");

	d_locked = true;
	return true;
}

void Mutex::unlock()
{
	GePrint("Thread Unlocked");
	d_locked = false;
}