#ifndef MESSIAH_UTILITIES
#define MESSIAH_UTILITIES

// Gets the next object when looping through hierarchies.
//   stopAt = won't search higher up than this (often the start object)
//   bounce = if this is TRUE no attempt is made to go down
BaseObject* GetNextHierarchyObject(BaseObject* obj, BaseObject* stopAt = NULL, Bool bounce = FALSE);

// Returns the messiah tag from an object if it's there
PluginTag* GetMessiahTag(BaseObject* obj);

// Returns a 32-bit hash from a C4D string.
ULONG GetStringHash(const String& s);

#endif

