/**********************************************************************
 *<
	FILE: messiahMAX.h

	DESCRIPTION:	Includes for Plugins

	CREATED BY:

	HISTORY:

 *>	Copyright (c) 2000, All Rights Reserved.
 **********************************************************************/

#ifndef __MESSIAHMAX__H
#define __MESSIAHMAX__H

#include "Max.h"
#include "utilapi.h"

#include "resource.h"
#include "istdplug.h"
#include "iparamb2.h"
#include "iparamm2.h"
#include "mnmath.h"		// MNMesh class
#include "polyobj.h"

#include "meshadj.h"
#include "XTCObject.h"
#include "notify.h"
#include "modstack.h"


extern TCHAR *GetString(int id);

extern HINSTANCE hInstance;

#define MESSIAH_HOST_MODULE
#include "messiahHOST.h"


void NotifyPreLoad(void *param, NotifyInfo *info);
void NotifyPostLoad(void *param, NotifyInfo *info);
void NotifyPreSave(void *param, NotifyInfo *info);
void NotifyPostSave(void *param, NotifyInfo *info);
void NotifyPreMerge(void *param, NotifyInfo *info);
void NotifyPostMerge(void *param, NotifyInfo *info);
void NotifyPreReset(void *param, NotifyInfo *info);
void NotifyPostReset(void *param, NotifyInfo *info);
void NotifyPreNew(void *param, NotifyInfo *info);
void NotifyPostNew(void *param, NotifyInfo *info);
void NotifySystemShutdown(void *param, NotifyInfo *info);

__EXPORTVAR(int) hostLoadmessiahHOST(void);
__EXPORTVAR(void*) hostGlobal(char *global_name);
__EXPORTVAR(void) hostGlobalsGetAll(void);
__EXPORTVAR(int) hostLoadmessiahHOST(void);

__EXPORTVAR(int)	hostObjectRename(FX_NodeLog *nd, int flags);
__EXPORTVAR(int)	hostObjectGeometryCopy(FX_NodeLog *nd, int add_to_hierarchy);
__EXPORTVAR(int)	hostObjectGetPoints(FX_NodeLog *nd, int reset_object);
__EXPORTVAR(void*)	hostObjectConstruct(int obj, int flags);
__EXPORTVAR(int)	hostAddPlugin(void *obj_data, int obj, int messiah_plugtype, int flags);

void genericGeometryCopy(INode *node, int messiah_object, int add_to_hierarchy, Object *o = NULL);
void genericSurfaceCopy (int messiah_object, Material *material, Mtl *m);

#endif // __MESSIAHMAX__H
