#ifndef MH_NodeLogFuncs_H
#define MH_NodeLogFuncs_H

#ifdef	__cplusplus

#include "MH_System.h"
#include "messiahHOST.h"

class MH_NodeLogFuncs
{
public:

	static int				NumNodes	()		{ if(num_nodes) return *num_nodes; else return 0; }
	static FX_NodeLog *	NodeLog		()		{ return node_log; }

	static FX_NodeLog *	LogElement	(void *ref, void *hostObj, void *data, int messiahObj)
	{	if( nodeLogElement ) return nodeLogElement(ref, hostObj, data, messiahObj); else return 0; }

	static FX_NodeLog *	GetElement	(void *ref, void *hostObj, void *data, int messiahObj)
	{	if( nodeGetElement ) return nodeGetElement(ref, hostObj, data, messiahObj); else return 0; }

	static FX_NodeLog *	GetFirst	()
	{	if( nodeGetFirst ) return nodeGetFirst(); else return 0; }
	
	static FX_NodeLog *	GetLast	()
	{	if( nodeGetLast ) return nodeGetLast(); else return 0; }

	static FX_NodeLog *	SearchElement	(int ID)
	{	if( nodeSearchElement ) return nodeSearchElement(ID); else return 0; }

	static int				ClearElement	(void *node, int flags)
	{	if( nodeClearElement ) return nodeClearElement(node, flags); else return 0; }

	static void			ClearAllElements	(int flags)
	{	if( nodeClearAllElements ) nodeClearAllElements(flags); else return; }

};

// shortcut
typedef MH_NodeLogFuncs NLF;

#endif	// __cplusplus
#endif	// MH_System_H
