#include "c4d_toolplugin.h"
#include "c4d_basecontainer.h"
#include "operatingsystem.h"

void EditorWindow::DrawXORLine(LONG x1,LONG y1,LONG x2,LONG y2)
{
	C4DOS.Ge->EwDrawXORLine(this,x1,y1,x2,y2);
}

void EditorWindow::MouseDragStart(LONG button,Real mx,Real my,LONG flag)
{
	C4DOS.Ge->EwMouseDragStart(this,button,mx,my,flag);
}

LONG EditorWindow::MouseDrag(Real *mx,Real *my,BaseContainer *channels)
{
	return C4DOS.Ge->EwMouseDrag(this,mx,my,channels?channels->Get():NULL);
}

LONG EditorWindow::MouseDragEnd(void)
{
	return C4DOS.Ge->EwMouseDragEnd(this);
}

Bool EditorWindow::BfGetInputState(LONG askdevice,LONG askchannel,BaseContainer *res)
{	
	if (!res->Get()) return FALSE;
	return C4DOS.Ge->EwBfGetInputState(this,askdevice,askchannel,res->Get());
}

Bool EditorWindow::BfGetInputEvent(LONG askdevice,BaseContainer *res)
{
	if (!res->Get()) return FALSE;
	return C4DOS.Ge->EwBfGetInputEvent(this,askdevice,res->Get());
}

void EditorWindow::StatusSetText(const String &str)
{ 
	if (str.Get()) C4DOS.Ge->StatusSetText(str.Get()); 
}
